Edit

Connections - Update Connection

Updates connection by ID.
To encrypt credentials, see Configure credentials programmatically.

Permissions

The caller must have permission for the connection or admin permission for the gateway of the connection.

Required Delegated Scopes

Connection.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

PATCH https://api.fabric.microsoft.com/v1/connections/{connectionId}

URI Parameters

Name In Required Type Description
connectionId
path True

string (uuid)

The ID of the connection.

Request Body

The request body can be one of the following:

Name Description
UpdateOnPremisesGatewayConnectionRequest
UpdateOnPremisesGatewayPersonalConnectionRequest
UpdatePersonalCloudConnectionRequest
UpdateShareableCloudConnectionRequest
UpdateStreamingVirtualNetworkGatewayConnectionRequest

Updates a connection that connects through a streaming virtual network data gateway.

UpdateVirtualNetworkGatewayConnectionRequest

UpdateOnPremisesGatewayConnectionRequest

Name Required Type Description
connectivityType True string:

OnPremisesGateway

The connectivity type of the connection.

credentialDetails

UpdateOnPremisesGatewayCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateOnPremisesGatewayPersonalConnectionRequest

Name Required Type Description
connectivityType True string:

OnPremisesGatewayPersonal

The connectivity type of the connection.

credentialDetails

UpdateOnPremisesGatewayPersonalCredentialDetails

The credential details of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdatePersonalCloudConnectionRequest

Name Required Type Description
connectivityType True string:

PersonalCloud

The connectivity type of the connection.

allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateShareableCloudConnectionRequest

Name Required Type Description
connectivityType True string:

ShareableCloud

The connectivity type of the connection.

allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateStreamingVirtualNetworkGatewayConnectionRequest

Updates a connection that connects through a streaming virtual network data gateway.

Name Required Type Description
connectivityType True string:

StreamingVirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateVirtualNetworkGatewayConnectionRequest

Name Required Type Description
connectivityType True string:

VirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

Responses

Name Type Description
200 OK Connection:

OK. The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • EntityNotFound - The requested resource could not be found.

  • InsufficientPermissionsToManageConnection - The caller has insufficient permissions to manage this connection.

  • DuplicateConnectionName - The connection name is already in use.

  • IncorrectCredentials - Failed to establish connection using the Credentials input.

  • UpdateGatewayConnectionFailed - Failed to update gateway connection.

Examples

On-premises gateway (personal mode) example
On-premises gateway example
Personal cloud example
Shareable cloud example
Streaming virtual network gateway example
Virtual network gateway example

On-premises gateway (personal mode) example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/ef8f408d-2ab7-4a18-b662-9251febda49c

{
  "connectivityType": "OnPremisesGatewayPersonal",
  "credentialDetails": {
    "credentials": {
      "credentialType": "WindowsWithoutImpersonation",
      "encryptedCredentials": "************************************"
    }
  }
}

Sample response

{
  "id": "ef8f408d-2ab7-4a18-b662-9251febda49c",
  "gatewayId": "429a773e-5633-45ee-8584-a192bd79c16a",
  "connectivityType": "OnPremisesGatewayPersonal",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;reporting"
  },
  "privacyLevel": "Private",
  "credentialDetails": {
    "credentialType": "WindowsWithoutImpersonation",
    "singleSignOnType": "None",
    "connectionEncryption": "NotEncrypted",
    "skipTestConnection": false
  },
  "connectionRecency": {
    "createdDateTime": "2023-05-23T16:22:20Z",
    "lastBoundDateTime": "2023-05-26T16:22:20Z",
    "lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
    "myLastBoundDateTime": "2023-05-24T16:22:20Z",
    "myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
  }
}

On-premises gateway example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/70b17680-48f1-4729-9df6-02576647dc3a

{
  "connectivityType": "OnPremisesGateway",
  "displayName": "ContosoSalesOnPremisesConnection",
  "credentialDetails": {
    "skipTestConnection": false,
    "credentials": {
      "credentialType": "Windows",
      "values": [
        {
          "gatewayId": "4f8b5d6e-8e99-4817-8b9e-6b6a613be707",
          "encryptedCredentials": "************************************"
        },
        {
          "gatewayId": "c6961028-1309-4183-9799-a0b0fa28a235",
          "encryptedCredentials": "************************************"
        }
      ]
    }
  }
}

Sample response

{
  "id": "70b17680-48f1-4729-9df6-02576647dc3a",
  "displayName": "ContosoSalesOnPremisesConnection",
  "gatewayId": "4f8b5d6e-8e99-4817-8b9e-6b6a613be707",
  "connectivityType": "OnPremisesGateway",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;sales"
  },
  "privacyLevel": "Organizational",
  "credentialDetails": {
    "credentialType": "Windows",
    "singleSignOnType": "None",
    "connectionEncryption": "NotEncrypted",
    "skipTestConnection": false
  },
  "connectionRecency": {
    "createdDateTime": "2023-05-23T16:22:20Z",
    "lastBoundDateTime": "2023-05-26T16:22:20Z",
    "lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
    "myLastBoundDateTime": "2023-05-24T16:22:20Z",
    "myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
  }
}

Personal cloud example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/7a0369b2-58c4-4b67-b3f3-92156a95f1cd

{
  "connectivityType": "PersonalCloud",
  "privacyLevel": "Organizational"
}

Sample response

{
  "id": "7a0369b2-58c4-4b67-b3f3-92156a95f1cd",
  "gatewayId": "8f72eea3-d989-4a5a-aeed-02b3aaa2ddd0",
  "connectivityType": "PersonalCloud",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;finances"
  },
  "privacyLevel": "Organizational",
  "credentialDetails": {
    "credentialType": "OAuth2",
    "singleSignOnType": "None",
    "connectionEncryption": "NotEncrypted",
    "skipTestConnection": false
  },
  "connectionRecency": {
    "createdDateTime": "2023-05-23T16:22:20Z",
    "lastBoundDateTime": "2023-05-26T16:22:20Z",
    "lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
    "myLastBoundDateTime": "2023-05-24T16:22:20Z",
    "myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
  }
}

Shareable cloud example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/fa968eee-8075-48f6-8c6d-41260ee1396d

{
  "connectivityType": "ShareableCloud",
  "displayName": "ContosoCloudConnection"
}

Sample response

{
  "id": "fa968eee-8075-48f6-8c6d-41260ee1396d",
  "displayName": "ContosoCloudConnection",
  "gatewayId": "8f72eea3-d989-4a5a-aeed-02b3aaa2ddd0",
  "connectivityType": "ShareableCloud",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;networks"
  },
  "privacyLevel": "Public",
  "credentialDetails": {
    "credentialType": "Basic",
    "singleSignOnType": "None",
    "connectionEncryption": "NotEncrypted",
    "skipTestConnection": true
  },
  "connectionRecency": {
    "createdDateTime": "2023-05-23T16:22:20Z",
    "lastBoundDateTime": "2023-05-26T16:22:20Z",
    "lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
    "myLastBoundDateTime": "2023-05-24T16:22:20Z",
    "myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
  }
}

Streaming virtual network gateway example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/6b571614-2e98-4bfd-b9ed-1cb8d3ffc396

{
  "connectivityType": "StreamingVirtualNetworkGateway",
  "displayName": "ContosoMarketingStreamingVirtualNetworkGatewayConnection",
  "credentialDetails": {
    "singleSignOnType": "None"
  }
}

Sample response

{
  "id": "6b571614-2e98-4bfd-b9ed-1cb8d3ffc396",
  "displayName": "ContosoMarketingStreamingVirtualNetworkGatewayConnection",
  "gatewayId": "befccff4-3ee6-40d7-b8f1-a0a9fd684a85",
  "connectivityType": "StreamingVirtualNetworkGateway",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;marketing"
  },
  "privacyLevel": "Organizational",
  "credentialDetails": {
    "credentialType": "Basic",
    "singleSignOnType": "None",
    "connectionEncryption": "Encrypted",
    "skipTestConnection": false
  }
}

Virtual network gateway example

Sample request

PATCH https://api.fabric.microsoft.com/v1/connections/6b571614-2e98-4bfd-b9ed-1cb8d3ffc396

{
  "connectivityType": "VirtualNetworkGateway",
  "displayName": "ContosoMarketingVirtualNetworkGatewayConnection",
  "privacyLevel": "Organizational",
  "credentialDetails": {
    "singleSignOnType": "None"
  }
}

Sample response

{
  "id": "6b571614-2e98-4bfd-b9ed-1cb8d3ffc396",
  "displayName": "ContosoMarketingVirtualNetworkGatewayConnection",
  "gatewayId": "befccff4-3ee6-40d7-b8f1-a0a9fd684a85",
  "connectivityType": "VirtualNetworkGateway",
  "connectionDetails": {
    "type": "SQL",
    "path": "contoso.database.windows.net;marketing"
  },
  "privacyLevel": "Organizational",
  "credentialDetails": {
    "credentialType": "Basic",
    "singleSignOnType": "None",
    "connectionEncryption": "NotEncrypted",
    "skipTestConnection": false
  },
  "connectionRecency": {
    "createdDateTime": "2023-05-23T16:22:20Z",
    "lastBoundDateTime": "2023-05-26T16:22:20Z",
    "lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
    "myLastBoundDateTime": "2023-05-24T16:22:20Z",
    "myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
  }
}

Definitions

Name Description
AnonymousCredentials

Credentials for Anonymous CredentialType.

BasicCredentials

Credentials for Basic CredentialType.

ConnectionEncryption

The connection encryption type of the connection. Additional connection encryption values may be added over time.

ConnectionRecency

Represents the recency details about the connection.

ConnectivityType

The connectivity type of the connection. Additional connectivity types may be added over time.

CredentialType

The credential type of the connection. Additional credential types may be added over time.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

KeyCredentials

Credentials for Key CredentialType.

KeyPairCredentials

Credentials for KeyPair CredentialType.

KeyVaultSecretReference

The reference to a secret stored in Azure Key Vault.

ListConnectionDetails

The connection details output for list operations.

ListCredentialDetails

The credential details returned when fetching a connection.

OnPremisesCredentialEntry

A gateway ID and its encrypted serialized credentials.

OnPremisesGatewayConnection

A connection that connects through on-premises data gateway.

OnPremisesGatewayCredentials

Credentials for authenticating through an on-premises gateway.

OnPremisesGatewayPersonalConnection

A connection that connects through a personal on-premises data gateway.

OnPremisesGatewayPersonalCredentials

Credentials for authenticating through an on-premises gateway (personal mode).

PersonalCloudConnection

A connection that connects through the cloud and cannot be shared.

PrivacyLevel

The privacy level setting of the connection. Additional privacy levels may be added over time.

ServicePrincipalCredentials

Credentials for ServicePrincipal CredentialType.

ShareableCloudConnection

A connection that connects through the cloud.

SharedAccessSignatureCredentials

Credentials for SharedAccessSignature CredentialType.

SingleSignOnType

The single sign-on type of the connection. Additional single sign on types may be added over time.

StreamingVirtualNetworkGatewayConnection

A connection that connects through a streaming virtual network data gateway.

UpdateCredentialDetails

The credential details input for updating a connection.

UpdateOnPremisesGatewayConnectionRequest
UpdateOnPremisesGatewayCredentialDetails

The credential details input for updating an on-premises gateway connection.

UpdateOnPremisesGatewayPersonalConnectionRequest
UpdateOnPremisesGatewayPersonalCredentialDetails

The credential details input for updating an on-premises gateway connection.

UpdatePersonalCloudConnectionRequest
UpdateShareableCloudConnectionRequest
UpdateStreamingVirtualNetworkGatewayConnectionRequest

Updates a connection that connects through a streaming virtual network data gateway.

UpdateVirtualNetworkGatewayConnectionRequest
VirtualNetworkGatewayConnection

A connection that connects through a virtual network data gateway.

WindowsCredentials

Credentials for Windows CredentialType.

WindowsWithoutImpersonationCredentials

Credentials for WindowsWithoutImpersonation CredentialType.

WorkspaceIdentityCredentials

Credentials for WorkspaceIdentity CredentialType.

AnonymousCredentials

Credentials for Anonymous CredentialType.

Name Type Description
credentialType string:

Anonymous

The credential type of the connection.

BasicCredentials

Credentials for Basic CredentialType.

Name Type Description
credentialType string:

Basic

The credential type of the connection.

password

string

The password. Use password or passwordReference. You can't use both at the same time

passwordReference

KeyVaultSecretReference

The reference to a password stored in Azure Key Vault. Use password or passwordReference. You can't use both at the same time.

username

string

The username.

ConnectionEncryption

The connection encryption type of the connection. Additional connection encryption values may be added over time.

Value Description
Encrypted

The connection attempt is made using an encrypted connection.

Any

The connection attempt is first made using an encrypted connection, then falls back to unencrypted connection if unsuccessful.

NotEncrypted

The connection attempt is made using an unencrypted connection.

ConnectionRecency

Represents the recency details about the connection.

Name Type Description
createdDateTime

string (date-time)

The timestamp when the connection was created in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

lastBoundDateTime

string (date-time)

The timestamp when the connection was most recently bound to any item in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

lastCredentialUsedDateTime

string (date-time)

The timestamp when the connection credentials were most recently used in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

myLastBoundDateTime

string (date-time)

The timestamp when the connection was most recently bound to any item by the calling user in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

myLastCredentialUsedDateTime

string (date-time)

The timestamp when the connection credentials were most recently used by the calling user in UTC, using the YYYY-MM-DDTHH:mm:ssZ format.

ConnectivityType

The connectivity type of the connection. Additional connectivity types may be added over time.

Value Description
ShareableCloud

The connection connects through the cloud and can be shared with others.

PersonalCloud

The connection connects through the cloud and cannot be shared with others.

OnPremisesGateway

The connection connects through an on-premises data gateway.

OnPremisesGatewayPersonal

The connection connects through a personal on-premises data gateway.

VirtualNetworkGateway

The connection connects through a virtual network data gateway.

StreamingVirtualNetworkGateway

The connection connects through a streaming virtual network data gateway.

Automatic

The connection connects through the cloud using an implicit data connection. This option is only available for specific scenarios like semantic models that use Single Sign-On (SSO).”

None

The connection is not bound

CredentialType

The credential type of the connection. Additional credential types may be added over time.

Value Description
Windows

Connection uses Windows authentication to connect. Only supported for on-premises gateways.

Anonymous

Connection uses anonymous authentication to connect.

Basic

Connection uses basic authentication to connect.

Key

Connection uses key authentication to connect.

OAuth2

Connection uses OAuth 2.0 authentication to connect.

WindowsWithoutImpersonation

Connection uses Windows (without the option for impersonation) authentication to connect. Only supported for on-premises gateways (personal mode).

SharedAccessSignature

Connection uses shared access signature (SAS) authentication to connect.

ServicePrincipal

Connection uses service principal authentication to connect.

WorkspaceIdentity

Connection uses workspace identity authentication to connect.

KeyPair

Connection uses key pair authentication to connect.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

KeyCredentials

Credentials for Key CredentialType.

Name Type Description
credentialType string:

Key

The credential type of the connection.

key

string

The key. Use key or keyReference. You can't use both at the same time.

keyReference

KeyVaultSecretReference

The reference to a key stored in Azure Key Vault. Use key or keyReference. You can't use both at the same time.

KeyPairCredentials

Credentials for KeyPair CredentialType.

Name Type Description
credentialType string:

KeyPair

The credential type of the connection.

identifier

string

The identifier for the key.

passphrase

string

The passphrase for the private key if the private key is encrypted.

privateKey

string

The private key based on PKCS #8 standard.

KeyVaultSecretReference

The reference to a secret stored in Azure Key Vault.

Name Type Description
connectionId

string (uuid)

The connection ID of the Key Vault connection.

secretName

string

The name of the secret in Key Vault.

version

string

The version of the secret in Key Vault.

ListConnectionDetails

The connection details output for list operations.

Name Type Description
path

string

The path of the connection.

type

string

The type of the connection.

ListCredentialDetails

The credential details returned when fetching a connection.

Name Type Description
connectionEncryption

ConnectionEncryption

The connection encryption setting that is used during the test connection.

credentialType

CredentialType

The credential type of the connection.

singleSignOnType

SingleSignOnType

The single sign-on type of the connection.

skipTestConnection

boolean

Whether the connection should skip the test connection during creation and update. True - Skip the test connection, False - Do not skip the test connection.

OnPremisesCredentialEntry

A gateway ID and its encrypted serialized credentials.

Name Type Description
encryptedCredentials

string

The encrypted serialized .json of the list of name value pairs. Name is a credential name and value is a credential value. Encryption is performed using the Rivest-Shamir-Adleman (RSA) encryption algorithm with the on-premises gateway member's public key.

gatewayId

string (uuid)

The object ID of the gateway.

OnPremisesGatewayConnection

A connection that connects through on-premises data gateway.

Name Type Description
connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

OnPremisesGateway

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

OnPremisesGatewayCredentials

Credentials for authenticating through an on-premises gateway.

Name Type Description
credentialType

CredentialType

The credential type of the connection.

values

OnPremisesCredentialEntry[]

The credential payload to send to the on-premises gateway.

OnPremisesGatewayPersonalConnection

A connection that connects through a personal on-premises data gateway.

Name Type Description
connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

OnPremisesGatewayPersonal

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

OnPremisesGatewayPersonalCredentials

Credentials for authenticating through an on-premises gateway (personal mode).

Name Type Description
credentialType

CredentialType

The credential type of the connection.

encryptedCredentials

string

The encrypted serialized .json of the list of name value pairs. Name is a credential name and value is a credential value. Encryption is performed using the Rivest-Shamir-Adleman (RSA) encryption algorithm with the on-premises gateway's public key.

PersonalCloudConnection

A connection that connects through the cloud and cannot be shared.

Name Type Description
allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

PersonalCloud

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

PrivacyLevel

The privacy level setting of the connection. Additional privacy levels may be added over time.

Value Description
None

No privacy level setting is configured.

Private

Connections set to private contain sensitive or confidential information. Visibility can be restricted to authorized users. Data from a private connection won't fold in to other connections, including other private connections.

Organizational

Connections set to organizational can fold in to private and other organizational connections. They can't fold in to public connections. Visibility is set to a trusted group.

Public

Files, internet connections, and workbook data can be set to public. Data can fold in to other connections. Visibility is available to everyone.

ServicePrincipalCredentials

Credentials for ServicePrincipal CredentialType.

Name Type Description
credentialType string:

ServicePrincipal

The credential type of the connection.

servicePrincipalClientId

string (uuid)

The client ID of the service principal.

servicePrincipalSecret

string

The secret of the service principal. Use servicePrincipalSecret or servicePrincipalSecretReference. You can't use both at the same time.

servicePrincipalSecretReference

KeyVaultSecretReference

The reference to a service principal secret stored in Azure Key Vault. Use servicePrincipalSecret or servicePrincipalSecretReference. You can't use both at the same time.

tenantId

string (uuid)

The tenant ID of the service principal.

ShareableCloudConnection

A connection that connects through the cloud.

Name Type Description
allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

allowUsageInUserControlledCode

boolean

Allow this connection to be used with items that allow user-controlled code such as Notebook.

connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

ShareableCloud

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

SharedAccessSignatureCredentials

Credentials for SharedAccessSignature CredentialType.

Name Type Description
credentialType string:

SharedAccessSignature

The credential type of the connection.

token

string

The token. Use token or tokenReference. You can't use both at the same time.

tokenReference

KeyVaultSecretReference

The reference to a token stored in Azure Key Vault. Use token or tokenReference. You can't use both at the same time.

SingleSignOnType

The single sign-on type of the connection. Additional single sign on types may be added over time.

Value Description
None

Connection does not use single sign-on to connect.

Kerberos

Connection uses Kerberos single sign-on to connect.

MicrosoftEntraID

Connection uses Microsoft Entra ID single sign-on to connect.

SecurityAssertionMarkupLanguage

Connection uses Security Assertion Markup Language (SAML) single sign-on to connect.

KerberosDirectQueryAndRefresh

Connection uses Kerberos DirectQuery and Refresh single sign-on to connect.

StreamingVirtualNetworkGatewayConnection

A connection that connects through a streaming virtual network data gateway.

Name Type Description
connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

StreamingVirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID of the connection.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateCredentialDetails

The credential details input for updating a connection.

Name Type Description
connectionEncryption

ConnectionEncryption

The connection encryption setting that is used during the test connection.

credentials Credentials:

The credentials of the connection.

singleSignOnType

SingleSignOnType

The single sign-on type of the connection.

skipTestConnection

boolean

Whether the connection should skip the test connection during creation and update. True - Skip the test connection, False - Do not skip the test connection.

UpdateOnPremisesGatewayConnectionRequest

Name Type Description
connectivityType string:

OnPremisesGateway

The connectivity type of the connection.

credentialDetails

UpdateOnPremisesGatewayCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateOnPremisesGatewayCredentialDetails

The credential details input for updating an on-premises gateway connection.

Name Type Description
connectionEncryption

ConnectionEncryption

The connection encryption setting that is used during the test connection.

credentials

OnPremisesGatewayCredentials

The credentials of the connection.

singleSignOnType

SingleSignOnType

The single sign-on type of the connection.

skipTestConnection

boolean

Whether the connection should skip the test connection during creation and update. True - Skip the test connection, False - Do not skip the test connection.

UpdateOnPremisesGatewayPersonalConnectionRequest

Name Type Description
connectivityType string:

OnPremisesGatewayPersonal

The connectivity type of the connection.

credentialDetails

UpdateOnPremisesGatewayPersonalCredentialDetails

The credential details of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateOnPremisesGatewayPersonalCredentialDetails

The credential details input for updating an on-premises gateway connection.

Name Type Description
connectionEncryption

ConnectionEncryption

The connection encryption setting that is used during the test connection.

credentials

OnPremisesGatewayPersonalCredentials

The credentials of the connection.

singleSignOnType

SingleSignOnType

The single sign-on type of the connection.

skipTestConnection

boolean

Whether the connection should skip the test connection during creation and update. True - Skip the test connection, False - Do not skip the test connection.

UpdatePersonalCloudConnectionRequest

Name Type Description
allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

connectivityType string:

PersonalCloud

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateShareableCloudConnectionRequest

Name Type Description
allowConnectionUsageInGateway

boolean

Allow this connection to be utilized with either on-premises data gateways or VNet data gateways.

connectivityType string:

ShareableCloud

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateStreamingVirtualNetworkGatewayConnectionRequest

Updates a connection that connects through a streaming virtual network data gateway.

Name Type Description
connectivityType string:

StreamingVirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

UpdateVirtualNetworkGatewayConnectionRequest

Name Type Description
connectivityType string:

VirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

UpdateCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection. Maximum length is 200 characters.

privacyLevel

PrivacyLevel

The privacy level of the connection.

VirtualNetworkGatewayConnection

A connection that connects through a virtual network data gateway.

Name Type Description
connectionDetails

ListConnectionDetails

The connection details of the connection.

connectionRecency

ConnectionRecency

The recency details about the connection.

connectivityType string:

VirtualNetworkGateway

The connectivity type of the connection.

credentialDetails

ListCredentialDetails

The credential details of the connection.

displayName

string

The display name of the connection.

gatewayId

string (uuid)

The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID.

id

string (uuid)

The object ID of the connection.

privacyLevel

PrivacyLevel

The privacy level of the connection.

WindowsCredentials

Credentials for Windows CredentialType.

Name Type Description
credentialType string:

Windows

The credential type of the connection.

password

string

The password.

username

string

The username.

WindowsWithoutImpersonationCredentials

Credentials for WindowsWithoutImpersonation CredentialType.

Name Type Description
credentialType string:

WindowsWithoutImpersonation

The credential type of the connection.

WorkspaceIdentityCredentials

Credentials for WorkspaceIdentity CredentialType.

Name Type Description
credentialType string:

WorkspaceIdentity

The credential type of the connection.